:root {
    --color-near-black: #1a1a1a;
    --color-primary: #3B6C7A;
    --color-dark-grey: #9CAAAD;
    --color-light-grey: #E8EAEB;
    --color-white: #FAFCFC;
    --color-error-red: #A44B4B;
}

html, body {
    padding: 0;
    margin: 0;
    background-color: var(--color-white);
    font-family: 'Montserrat', sans-serif;
}

a {
    color: var(--color-primary);
}

.wrapper {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
}

.wrapper-fill {
    background-color: var(--color-primary);
}

.main-menu {
    height: 80px;
    width: 100%;
    background-color: var(--color-primary);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.main-menu .header-logo {
    width: 191px;
    height: 40px;
    margin-left: 20px;
    mask: url(/static/website/header-logo.svg) no-repeat center bottom;
    -webkit-mask: url(/static/website/header-logo.svg) no-repeat center bottom;
    background: white;
}

.main-menu .nav {
    margin-right: 31px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 88px;
    font-size: 16px;
    font-weight: 400;
    color: var(--color-white);
}

.main-menu .nav ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    list-style-type: none;
    gap: 50px;
}

.main-menu .nav ul li a {
    color: var(--color-white);
    font-weight: 500;
    font-size: 16px;
    text-decoration: none;
}

.main-menu .nav ul li a.active {
    opacity: 60%;
}

.main-menu .phone a {
    color: var(--color-white);
    text-decoration: none;
}

.button {
    color: var(--color-white);
    text-decoration: none;
    border-radius: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Roboto";
    font-weight: 500;
    font-size: 16px;
    padding: 20px 30px;
    cursor: pointer;
}

.button-fill {
    background-color: var(--color-primary);
    transition: background-color .18s ease, color .18s ease, border-color .18s ease, box-shadow .18s ease;
    box-shadow: 0 16px 32px 0 rgba(12, 12, 13, .4);
    border-color: transparent;
    border-width: 1px;
    border-style: solid;
}

.button-fill:hover {
    background: var(--color-white);
    color: var(--color-primary);
    border-color: var(--color-primary);
    box-shadow: 0 4px 10px rgba(12, 12, 13, .15);
}

.button-white {
    background-color: white;
    transition: background-color .18s ease, color .18s ease, border-color .18s ease, box-shadow .18s ease;
    box-shadow: 0 16px 32px 0 rgba(12, 12, 13, .4);
    border-color: var(--color-primary);
    border-width: 1px;
    border-style: solid;
    color: var(--color-primary);
}

.button-white:hover {
    background: var(--color-white);
    color: var(--color-primary);
    border-color: var(--color-primary);
    box-shadow: 0 4px 10px rgba(12, 12, 13, .15);
}

.footer {
    display: block;
    width: 100%;
    background-color: var(--color-primary);
    color: rgba(255, 255, 255, .6);
}

.footer .footer-logo {
    width: 191px;
    height: 40px;
}

.footer .content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-top: 128px;
    margin-left: 198px;
    margin-right: 192px;
    margin-bottom: 64px;
}

.footer .content .info {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer .content .info p {
    color: var(--color-white);
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
    line-height: 136.4%;
    letter-spacing: 7%;
}

.footer .content .menu-list {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex: 0.6;
}

.footer .content ul {
    list-style-type: none;
    padding: 0;
    margin-top: 24px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer .menu .title {
    color: white;
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
}

.footer .menu a {
    text-decoration: none;
    color: rgba(255, 255, 255, .6);
    font-family: "Roboto";
}

.footer .bottom {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-left: 148px;
    margin-right: 193px;
    padding-top: 20px;
    padding-bottom: 19px;
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
    border-top: rgba(255, 255, 255, .6) solid 1px;
}

.footer .bottom a {
    color: rgba(255, 255, 255, .6);
}

.footer .bottom ul {
    padding: 0;
    display: flex;
    flex-direction: row;
    gap: 67px;
    list-style-type: none;
}

#request-form {
    display: none;
    background-color: rgba(0, 0, 0, 0.2);
    position: fixed;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    align-content: center;
    inset: 0;
}

#request-form .content {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

#request-form .form-box {
    background-color: var(--color-primary);
    border-radius: 24px;
    padding: 40px 145px;
}

#request-form .form-box .header {
    display: flex;
    flex-direction: row;
    gap: 65px;
}

#request-form .form-box .header .text {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

#request-form .form-box .header .text .title {
    margin: 0;
    font-family: "Montserrat";
    font-weight: 600;
    font-size: 20px;
    text-transform: uppercase;
    color: white;
}

#request-form .form-box .header .text .subtitle {
    margin: 0;
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
    line-height: 1.36;
    color: #f9f9f9;
}

#request-form .form-box .header .close a {
    display: block;
    width: 40px;
    height: 40px;
    transform: translateX(20px);
    cursor: pointer;
}

#request-form .form-box .form {
    margin-top: 36px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

#request-form .form-box .form .row {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

#request-form .form-box .form .field-group {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

#request-form .form-box .form .field-group .caption {
    margin: 0;
    font-family: "Roboto";
    line-height: 1.36;
    color: rgba(255, 255, 255, .6);
}

#request-form .form-box .form .field-group .hint {
    margin: 0;
    font-family: "Inter";
    font-style: italic;
    font-size: 11px;
    color: var(--color-error-red);
    display: none;
}

#request-form .form-box .form .field-group input {
    width: 200px;
    background-color: rgba(255, 255, 255, .8);
    padding: 10px 20px 10px 10px;
    border: none;
    border-radius: 6px;
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
}

#request-form .form-box .form .field-group textarea {
    background-color: rgba(255, 255, 255, .8);
    padding: 10px 20px 10px 10px;
    border: none;
    border-radius: 6px;
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
    height: 114px;
}

#request-form .form-box .form .submit {
    display: flex;
    flex-direction: row;
    gap: 31px;
    justify-content: space-between;
}

#request-form .form-box .form .submit .agreement {
    display: flex;
    flex-direction: row;
    gap: 7px;
}

#request-form .form-box .form .submit .agreement p {
    margin: 0;
    color: black;
    font-family: "Roboto";
    font-weight: 200;
    font-size: 10px;
}

#request-form .form-box .form .submit button {
    height: 44px;
    font-weight: 400;
    color: var(--color-near-black);
}

#request-form-completion {
    display: none;
    background-color: rgba(0, 0, 0, 0.2);
    position: fixed;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    inset: 0;
    align-content: center;
}

#request-form-completion .content {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

#request-form-completion .form-box {
    background-color: var(--color-primary);
    border-radius: 24px;
    padding: 154px 68px;
}

#request-form-completion .wrapper {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 36px;
    width: auto;
    background-color: transparent;
}

#request-form-completion .wrapper .image {
    text-align: center;
}

#request-form-completion .wrapper .text {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

#request-form-completion .wrapper .text .title {
    text-transform: uppercase;
    color: white;
    font-family: "Montserrat";
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    margin: 0;
    padding: 0;
}

#request-form-completion .wrapper .text .caption {
    color: white;
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
    text-align: center;
    margin: 0;
    padding: 0;
}

#request-form-completion .wrapper .actions {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

#request-form-completion .wrapper .actions .button {
    padding: 0;
    width: 125px;
    height: 44px;
    color: var(--color-near-black);
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
}

#cookie_notification {
    display: none;
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 3;
    padding: 32px;
}

#cookie_notification .content {
    background-color: var(--color-light-grey);
    box-shadow: 0 16px 32px 0 rgba(12, 12, 13, .4);
    padding: 14px 14px 14px 32px;
    border-radius: 24px;
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 16px;
    display: flex;
    flex-direction: row;
    gap: 36px;
}

#cookie_notification .content p {
    color: var(--color-near-black);
    margin: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
}

#cookie_notification .content .button-white {
    box-shadow: none;
}

@media (min-width: 768px) {
    .desktop-hidden {
        display: none;
    }
}

@media (max-width: 768px) {
    .mobile-hidden {
        display: none;
    }

    .main-menu {
        background-color: transparent;
        height: 48px;
        align-items: end;
    }

    .main-menu .header-logo {
        width: 157px;
        height: 48px;
        background: var(--color-primary);
        mask-size: contain;
        -webkit-mask-size: contain;
    }

    .main-menu .menu-toggle {
        width: 40px;
        height: 40px;
        margin-right: 12px;
        background: var(--color-primary);
        mask: url(/static/website/mobile-main-menu.svg) no-repeat center bottom;
        mask-size: contain;

        -webkit-mask: url(/static/website/mobile-main-menu.svg) no-repeat center bottom;
        -webkit-mask-size: contain;
    }

    .main-menu .nav {
        margin: 0;
        display: none;
        background-color: var(--color-primary);
        position: absolute;
        top: 0;
        right: 0;
        padding: 72px 25px;
        border-bottom-left-radius: 24px;
    }

    .main-menu .nav .mobile-menu-close {
        position: absolute;
        width: 40px;
        height: 40px;
        top: 16px;
        right: 16px;
    }

    .main-menu .nav ul {
        flex-direction: column;
        padding: 0;
        margin: 0;
        gap: 0;
    }

    .main-menu .nav ul li {
        height: 47px;
        width: 155px;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
    
    .footer .content {
        flex-direction: column;
        margin: 0;
        padding: 16px;
    }

    .footer .content .info p {
        margin: 0;
    }

    .footer .content .menu-list {
        display: grid;
        grid-template-columns: auto auto;
        grid-template-areas:
            "menu1 menu3"
            "menu2 menu3";
        gap: 20px;
        row-gap: 0;
    }

    .menu1 {
        grid-area: menu1;
    }

    .menu2 {
        grid-area: menu2;
    }

    .menu3 {
        grid-area: menu3;
    }

    .footer .bottom {
        margin: 0;
        padding: 10px;
        flex-direction: column;
    }

    .footer .menu .title {
        font-family: "Roboto";
        font-weight: 400;
        font-size: 16px;
        color: rgba(255, 255, 255, 0.8);
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .footer .content ul {
        gap: 16px;
        margin-top: 20px;
        margin-bottom: 0;
    }

    .footer .menu a {
        font-family: "Montserrat";
        font-weight: 200;
        font-size: 16px;
        color: white;
    }

    .footer .menu .text {
        font-family: 'Roboto';
        font-weight: 200;
    }

    .footer .bottom {
        text-align: center;
    }

    .footer .bottom ul {
        flex-direction: column;
        gap: 16px;
    }

    #request-form .form-box .header {
        gap: 12px;
    }

    #request-form .content {
        flex-direction: column;
    }

    #request-form .form-box,
    #request-form-completion .form-box {
        padding: 24px 12px;
        margin: 0 4px;
    }

    #request-form .form-box .form {
        gap: 12px;
        margin-top: 12px;
    }

    #request-form .form-box .form .row {
        flex-direction: column;
        gap: 12px;
    }

    #request-form .form-box .form .field-group input {
        width: 100%;
    }

    #request-form .form-box .form .submit {
        gap: 12px;
        flex-direction: column;
    }

    #cookie_notification {
        padding: 14px;
    }

    #cookie_notification .content {
        flex-direction: column;
        padding: 14px;
        gap: 14px;
    }
}